---
title: "Gets specific Voucher by unique id"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/d3750347-3c58-45e9-b3b1-b23a00e713ed/operations/get-vouchers-id"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/d3750347-3c58-45e9-b3b1-b23a00e713ed.md

# Gets specific Voucher by unique id

`GET` `/vouchers/{id}`

Operation ID: `get-vouchers-id`

Gets specific Voucher by unique id

## Path parameters

- `id` (integer, int32, required) - Format - int32. Voucher id

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Returns found Voucher
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Voucher not found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: V2
servers:
  - url: https://api.retailexpress.com.au/v2
paths:
  /vouchers/{id}:
    get:
      tags:
        - vouchers
      summary: Gets specific Voucher by unique id
      description: Gets specific Voucher by unique id
      operationId: get-vouchers-id
      parameters:
        - name: id
          in: path
          description: Format - int32. Voucher id
          required: true
          schema:
            type: integer
            description: Voucher id
            format: int32
            example: 10000
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Returns found Voucher
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Voucher"
              example:
                id: 0
                code: string
                type:
                  id: 0
                  name: string
                initial_value: 0
                balance: 0
                created_on: string
                expires_on: string
                order:
                  id: 0
                  order_number: string
                  customer:
                    id: 0
                    customer_number: string
                    first_name: string
                    last_name: string
                    email: string
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "404":
          description: Voucher not found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    Voucher:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Voucher Id.
          format: int32
          nullable: true
        code:
          type: string
          description: Voucher code
          nullable: true
        type:
          $ref: "#/components/schemas/VoucherVoucherType"
        initial_value:
          type: number
          description: Initial value
          format: double
          nullable: true
        balance:
          type: number
          description: Balance
          format: double
          nullable: true
        created_on:
          type: string
          description: Created on
          format: date-time
        expires_on:
          type: string
          description: Modified on
          format: date-time
          nullable: true
        order:
          $ref: "#/components/schemas/VoucherOrder"
      additionalProperties: false
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    VoucherVoucherType:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Voucher type Id.
          format: int32
          nullable: true
        name:
          type: string
          description: Voucher type code
          nullable: true
      additionalProperties: false
    VoucherOrder:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Order Id.
          format: int32
          nullable: true
        order_number:
          type: string
          description: The Order identifier in Retail Express.
          nullable: true
        customer:
          $ref: "#/components/schemas/VoucherOrderCustomer"
      additionalProperties: false
      description: Order model
    VoucherOrderCustomer:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Identifier
          format: int32
        customer_number:
          type: string
          description: Customer number
          nullable: true
        first_name:
          type: string
          description: First name
          nullable: true
        last_name:
          type: string
          description: Last name
          nullable: true
        email:
          type: string
          description: Email
          nullable: true
      additionalProperties: false
```
